import { Module } from '@nestjs/common';
import { BuildingModule } from 'src/objects/building/building.module';
import { GroupModule } from 'src/objects/group/group.module';
import { UserModule } from 'src/objects/user/user.module';
import { AuthModule } from 'src/shared/auth/auth.module';
import { AppBuildingController } from './app-building.controller';
import { AppBuildingService } from './app-building.service';
import { PlanRendererModule } from './plan-renderer/plan-renderer.module';

@Module({
  imports: [
    GroupModule,
    BuildingModule,
    UserModule,
    AuthModule,
    PlanRendererModule,
  ],
  controllers: [AppBuildingController],
  providers: [AppBuildingService],
})
export class AppBuildingModule {}
