import { ApiProperty, ApiPropertyOptional } from '@nestjs/swagger';
import { IsOptional, IsString, MaxLength, MinLength } from 'class-validator';

export class CreateGroupRequestDto {
  @ApiProperty()
  @IsString()
  @MinLength(3)
  @MaxLength(32)
  name: string;

  @ApiPropertyOptional()
  @IsString()
  @IsOptional()
  @MinLength(4)
  @MaxLength(16)
  color?: string;
}
