import { Module } from '@nestjs/common';
import { BuildingModule } from 'src/objects/building/building.module';
import { GroupModule } from 'src/objects/group/group.module';
import { StorageModule } from 'src/objects/storage/storage.module';
import { UserModule } from 'src/objects/user/user.module';
import { AuthModule } from 'src/shared/auth/auth.module';
import { AppStorageController } from './app-storage.controller';
import { AppStorageService } from './app-storage.service';

@Module({
  imports: [BuildingModule, AuthModule, UserModule, GroupModule, StorageModule],
  providers: [AppStorageService],
  controllers: [AppStorageController],
})
export class AppStorageModule {}
