import { ApiProperty, ApiPropertyOptional, OmitType } from '@nestjs/swagger';
import { StorageSet } from 'src/objects/storage/entities/storage-set.entity';
import {
  StorageActorResponse,
  StorageResponseDto,
} from './storage-response.dto';

export class StorageSetResponseDto extends OmitType(StorageSet, [
  'room',
  'addedBy',
  'storages',
]) {
  @ApiPropertyOptional({ type: StorageActorResponse })
  addedBy: StorageActorResponse;

  @ApiProperty({ type: StorageResponseDto, isArray: true })
  storages: StorageResponseDto[];
}
